package com.sunxung.factoring.entity.sys;

import com.fasterxml.jackson.annotation.JsonIgnore;

public class FileStorageDTO {

  private String  storageType;


  private Long id;


  //文件原始名称
  private  String  originalName;

  //访问路径
  private String  path;

  //绝对路径
  private String absolutePath;

  //文件类型
  private String type;

  //大小  kb
  private Long size;

  //绑定的业务id
  private String businessId;

  //绑定的业务类型
  private String businessType;

  public String getStorageType() {
    return storageType;
  }

  public void setStorageType(String storageType) {
    this.storageType = storageType;
  }

  public Long getId() {
    return id;
  }

  public void setId(Long id) {
    this.id = id;
  }

  public String getOriginalName() {
    return originalName;
  }

  public void setOriginalName(String originalName) {
    this.originalName = originalName;
  }

  public String getPath() {
    return path;
  }

  public void setPath(String path) {
    this.path = path;
  }

  public String getAbsolutePath() {
    return absolutePath;
  }

  public void setAbsolutePath(String absolutePath) {
    this.absolutePath = absolutePath;
  }

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public Long getSize() {
    return size;
  }

  public void setSize(Long size) {
    this.size = size;
  }

  public String getBusinessId() {
    return businessId;
  }

  public void setBusinessId(String businessId) {
    this.businessId = businessId;
  }

  public String getBusinessType() {
    return businessType;
  }

  public void setBusinessType(String businessType) {
    this.businessType = businessType;
  }
}
